%define gal_version 0.19
%define gtkhtml_version 1.0.1

%define ldap_support 1
%define pilot_support 0
%define nntp_support 0
%define krb5_support 0

# if you're building libnss as part of the build process instead of
# linking against shared libnss; can go away once our packages
# ship with shared libnss by default
%define static_nss 1

%define dbdir db-3.1.17
%define nssdir nss-3.3.1
%define buildtopdir $RPM_BUILD_DIR/%{name}-%{version}

Name: evolution
Version: 1.0.2
Release: 0.7x
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
Source0: %{name}-%{version}.tar.gz
Source1: db-3.1.17.tar.gz
Source2: ftp.mozilla.org/pub/security/nss/releases/NSS_3_3_1_RTM/src/nss-3.3.1.tar.gz
Patch0: evolution-1.0.1-dborder.patch
Patch1: evolution-1.0.1-staticlibnss.patch
Summary: GNOME's next-generation groupware suite
Group: Applications/Productivity

Requires: scrollkeeper >= 0.1.4
# these are explicit because older versions cause unexpected component hangs
Requires: bonobo >= 1.0.14
Requires: GConf >= 1.0.7
Requires: oaf >= 0.6.7

BuildRequires: gtkhtml-devel >= %{gtkhtml_version}
BuildRequires: gal-devel >= %{gal_version}
BuildRequires: bonobo-devel >= 1.0.3
BuildRequires: bonobo-conf-devel >= 0.12
BuildRequires: oaf-devel >= 0.6.2
BuildRequires: gdk-pixbuf-devel >= 0.9.0
BuildRequires: gnome-vfs-devel >= 1.0.0
BuildRequires: libglade-devel >= 0.14
BuildRequires: GConf-devel >= 0.6
BuildRequires: ORBit-devel >= 0.5.10
BuildRequires: gnome-print-devel >= 0.25
BuildRequires: libxml-devel >= 1.8.16
BuildRequires: intltool >= 0.11
BuildRequires: gtk+-devel >= 1.2.9

BuildRequires:	mozilla-devel

%if %{ldap_support} 
BuildRequires: openldap >= 2.0.11 
%endif

%if %{pilot_support} 
BuildRequires: gnome-pilot-devel 
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%package devel
Summary: Development libraries and headers for Evolution
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The evolution-devel package provides the static libraries and header
files necessary to build and link programs against the libraries included
with Evolution.

%prep
%setup -q -a 1 -a 2
%patch0 -p0 -b .dborder

%if %{static_nss}
%patch1 -p0 -b .staticnss
%endif

%build

## build our db 3.1.17
cd %{buildtopdir}/%{dbdir}/build_unix
CFLAGS="$RPM_OPT_FLAGS" ../dist/configure --prefix=%{_prefix} --enable-static
make

%if %{static_nss}
# build our libnss
cd %{buildtopdir}/%{nssdir}/mozilla/security/nss
make nss_build_all

# now make a tree with libs and includes so we can point evo to it
# move all the libs and headers there 
mkdir %{buildtopdir}/%{nssdir}/include || :
mkdir %{buildtopdir}/%{nssdir}/lib || :
find ./lib -name '*.h' -exec ln {} %{buildtopdir}/%{nssdir}/include \;
find ./lib -name '*.a' -exec ln {} %{buildtopdir}/%{nssdir}/lib \;
# need libdbm too
find %{buildtopdir}/%{nssdir}/mozilla/security/dbm -name '*.a' -exec ln {} %{buildtopdir}/%{nssdir}/lib \;
# make libssl.a be libssl3.a so we can link against it instead of openssl
ln %{buildtopdir}/%{nssdir}/lib/libssl.a %{buildtopdir}/%{nssdir}/lib/libssl3.a
%endif 

## back to evolution 
cd %{buildtopdir}

# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{pilot_support}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=/usr/kerberos
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

%if %{static_nss}
%define nss_flags  --with-nss-libs=%{buildtopdir}/%{nssdir}/lib --with-nss-includes=%{buildtopdir}/%{nssdir}/include
%else
%define nss_flags --with-nss-libs=/usr/lib --with-nss-includes=/usr/include/moznss
%endif

%configure --with-nspr-includes=/usr/include/mozilla/nspr \
  --with-nspr-libs=/usr/lib --enable-gtk-doc=no \
  --with-db3-includes=%{buildtopdir}/%{dbdir}/build_unix \
  --with-db3-libs=%{buildtopdir}/%{dbdir}/build_unix \
  --enable-file-locking=fcntl --enable-dot-locking=no \
  --with-sub-version=" (%{version}-%{release})" \
  %ldap_flags %pilot_flags %krb5_flags %nntp_flags %nss_flags
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_datadir}/gnome/apps/Applications/evolution.desktop
%{_datadir}/gnome/help/evolution
%{_datadir}/gnome/ui/*
%{_datadir}/gnome/html/*
%{_datadir}/libical-evolution
%{_datadir}/mime-info/*
%{_datadir}/evolution
%{_datadir}/idl/*.idl
%{_datadir}/oaf/*.oaf
%{_datadir}/omf/evolution
%{_datadir}/pixmaps/*
%{_datadir}/images
%{_libdir}/*.so*
%{_libdir}/evolution
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*

%if %{pilot_support}
%{_libdir}/gnome-pilot/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/camel
%{_includedir}/ename
%{_includedir}/evolution
%{_libdir}/*.a
%{_libdir}/*.so

%if %{pilot_support}
%{_libdir}/gnome-pilot/conduits/*.a
%endif


%changelog
* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-0.7x
- update to 1.0.2
- build for gnomehide without gnome-pilot support

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

